package com.ozs.rpm.mapper;

import java.util.List;

import com.ozs.rpm.dto.view.ReportViewPieDTO;
import org.apache.ibatis.annotations.Param;

import com.ozs.rpm.dto.ReportDTO;
import com.ozs.rpm.dto.save.RpmInfoReportChartDTO;
import com.ozs.rpm.dto.save.SaveRportKpiDTO;
import com.ozs.rpm.dto.view.ReportViewDTO;
import com.ozs.rpm.dto.view.ReportViewQueryDTO;

public interface ReportAutoViewMapper {

	/**
	 * 获取报表页面渲染属性
	 */
	ReportViewDTO getReportViewById(@Param("reportId") String reportId);

	/**
	 * 获取报表查询条件列表
	 * 
	 * @param reportId
	 * @return
	 */
	List<ReportViewQueryDTO> listQueryByUser(@Param("reportId") String reportId, @Param("userId") String userId);

	List<ReportViewPieDTO> listViewPieKpiByUser(@Param("reportId") String reportId, @Param("userId") String userId);

	String getSqlReportById(@Param("reportId") String reportId);

	List<ReportDTO> listReportByUserAndMenu(@Param("menuCode") String menuCode, @Param("userId") String userId);

	List<SaveRportKpiDTO> listRportKpiByUser(@Param("reportId") String reportId, @Param("userId") String userId);

	List<RpmInfoReportChartDTO> listBarAndLineChartByUser(@Param("reportId") String reportId,
			@Param("userId") String userId);

}
